package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class AliasedSelItemC extends SelItem {
    public final CondExpr condexpr_;

    public final String qident_;

    public AliasedSelItemC(CondExpr p1, String p2) {

        condexpr_ = p1;
        qident_ = p2;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.SelItem.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return 37 * (this.condexpr_.hashCode()) + this.qident_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.AliasedSelItemC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.AliasedSelItemC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.AliasedSelItemC) o;
            return this.condexpr_.equals(x.condexpr_) && this.qident_.equals(x.qident_);
        }
        return false;
    }


}
